org.codehaus.plexus.util.xml

## Class Xpp3DomWriter

- java.lang.Object
- - org.codehaus.plexus.util.xml.Xpp3DomWriter

    public class Xpp3DomWriter
    extends java.lang.Object

Version:
  $Id: Xpp3DomWriter.java 8010 2009-01-07 12:59:50Z vsiveton $

### Constructor Summary

Constructors
Constructor and Description
`Xpp3DomWriter()`

### Method Summary

Methods
`static void` `write(java.io.PrintWriter writer, Xpp3Dom dom)`
`static void` `write(java.io.Writer writer, Xpp3Dom dom)`
`static void` `write(XMLWriter xmlWriter, Xpp3Dom dom)`
`static void` `write(XMLWriter xmlWriter, Xpp3Dom dom, boolean escape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Xpp3DomWriter

    public Xpp3DomWriter()

### Method Detail

#### write

    public static void write(java.io.Writer writer,
             Xpp3Dom dom)

#### write

    public static void write(java.io.PrintWriter writer,
             Xpp3Dom dom)

#### write

    public static void write(XMLWriter xmlWriter,
             Xpp3Dom dom)

#### write

    public static void write(XMLWriter xmlWriter,
             Xpp3Dom dom,
             boolean escape)